{{page-title (capitalize (t "edit base map"))}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Manage::Visibility
        @model={{@model.baseMap}}
        @teams={{@model.teams}}
        @hasIsDefault={{true}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @isAdmin={{this.user.isAdmin}}
        @areAllShowing={{this.allTeams}}
        @onChangeAll={{this.changeAll}}
        @saveIsPublic={{this.saveIsPublic}}
        @saveIsDefault={{this.saveIsDefault}}
        @saveTeam={{this.saveTeam}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />

      <Manage::SideBarGroup @title={{t "default order"}} @onEdit={{this.edit}} @editablePanel={{this.editableField}} @savingPanel={{this.savingField}} as |editMode|>
        {{#if editMode}}
          {{! template-lint-disable require-input-label }}
          <Input class="form-input" @value={{this.model.baseMap.defaultOrder}} {{on "focusout" this.save}} />
        {{else}}
          {{@model.baseMap.defaultOrder}}
        {{/if}}
      </Manage::SideBarGroup>
    </Manage::SideBar>

    <Manage::Container class="basemaps-edit" @title={{capitalize (t "edit base map")}} @breadcrumbs={{this.breadcrumbs}}>
      <:content>
        <Manage::Row @name="name">
          <Manage::Text
            @title={{t "name"}}
            @isMainValue={{true}}
            @value={{@model.baseMap.name}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveName}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="attributions">
          <Manage::AttributionsList
            @list={{this.attributions}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
            @onSave={{this.saveAttributions}}
          />
        </Manage::Row>

        <Manage::Row @name="layers">
          <Manage::MapLayerList
            @title={{t "layers"}}
            @values={{@model.baseMap.layers}}
            @maps={{@model.maps}}
            @isMainValue={{true}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveLayers}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="cover">
          <Manage::Cover
            @title={{t "cover photo"}}
            @model="baseMap"
            @modelId={{@model.baseMap.id}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveCover}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.baseMap.cover}}
          />
        </Manage::Row>
      </:content>
    </Manage::Container>
  </div>
{{/if}}